View Issue Details

This bug affects 1 person(s).
 14
IDProjectCategoryView StatusLast Update
17454Bug reportsOtherpublic2021-09-21 09:45
Reporteralorenc Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.25.19 
Summary17454: Unable to remove a user with survey permissions with friendly url enabled
DescriptionUnable to remove user in domain from "Survey permissions" list if friendly URL is enabled.
Steps To ReproduceDescription:
- add a new user in "Manage survey administrators", username: "DOMAIN\username" (without assigning permissions)
- go to the poll in "Survey permissions", add the user to the list, save with an empty list of permissions
- click the delete icon next to the added user
- displays the message: "Deleting user Username: DOMAIN Success!" (dont backslash and username are missing here)
URL: https://limesurvey.test/admin/surveypermission/sa/delete/surveyid/333457/action/delsurveysecurity/user/DOMAIN%5Cusername/uid/6
- after clicking ok, it moves to the list of users where our "DOMAIN\username" is still visible because it has not been deleted.

After disabling the friendly url:
- again delete user "DOMAIN\username"
"Deleting user User name: DOMAIN\username Success! (displays correctly)
URL: https: //limesurvey.test/index.php?r=admin/surveypermission/sa/delete/surveyid/333457&action=delsurveysecurity&user=DOMAIN%5Cusername&uid=6
- after clicking ok, it takes us to the list of users, where there is no deleted user
Additional InformationProject configuration:
- "WebServer" plugin enabled
- "Delete part of domain ..." option unchecked, ie we want to save users as DOMAIN \ username
- in the configuration file we turned on the "auth_webserver_autocreate_user" option to automatically add them
- in the configuration file we additionally changed the options for "urlManager", we set "urlFormat = path", "showScriptName = false" and "caseSensitive = true".
- in IIS we use the Rewrite mod
- in the web.config file we also have redirect rules set to cut the "php" extension - we'll join it later if needed.


If "friendly url" is disabled at the configuration file level, ie changing urlManager options to default, everything works fine.
TagsNo tags attached.
Bug heat14
Complete LimeSurvey version number (& build)v3.27.7+210713
I will donate to the project if issue is resolvedNo
BrowserChrome v91.0.4472.124
Database type & versionMYSQL v15
Server OS (if known)
Webserver software & version (if known)
PHP Versionv7.4.15 NTS x64

Users monitoring this issue

User List 2BITS_PL

Activities

DenisChenu

DenisChenu

2021-07-16 16:06

developer   ~65479

Username with \ (and maybe /) .

Yep !
DenisChenu

DenisChenu

2021-07-16 16:14

developer   ~65481

Last edited: 2021-08-30 14:40

Yes :)

I mean url construction is bad , even with PATH : it must be

admin/surveypermission/sa/delete/surveyid/333457/action/delsurveysecurity&user=DOMAIN%5Cusername&uid=6
DenisChenu

DenisChenu

2021-07-16 16:15

developer   ~65482

Last edited: 2021-08-30 14:40

> - in IIS we use the Rewrite mod

How do you do this ? Can you put some detail ot our manual ?
https://manual.limesurvey.org/General_FAQ#With_nginx_webserver

Create a https://manual.limesurvey.org/General_FAQ#With_IIS_webserver
alorenc

alorenc

2021-07-19 08:26

reporter   ~65498

Last edited: 2021-08-30 14:40

That's what I thought, wouldn't it be better if this mechanism passed the user id instead of the username in the user parameter?
alorenc

alorenc

2021-07-19 08:28

reporter   ~65499

Last edited: 2021-08-30 14:40

Sorry, I didn't notice that the link has a uid, so why is the user parameter additionally passed?
DenisChenu

DenisChenu

2021-07-19 08:32

developer   ~65500

Last edited: 2021-08-30 14:40

I don't know : must be tested without the name.

There are currently another commit about deletion of user @gabrieljenik : you can check ?
gabrieljenik

gabrieljenik

2021-09-01 20:56

manager   ~66273

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2027

Couldn't reproduce it on UNIX.
I guess it is a matter of IIS don't getting confused with the backslash on the path.
Moved the uid before the username on the querystring.

If it works, we can apply on master.
galads

galads

2021-09-02 08:23

administrator   ~66274

@alorenc can you please check the PR since this is specific to IIS?
2BITS_PL

2BITS_PL

2021-09-08 12:18

reporter   ~66400

@galads I confirm the applied PR has solved the problem.
gabrieljenik

gabrieljenik

2021-09-08 12:53

manager   ~66403

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32680
gabrieljenik

gabrieljenik

2021-09-14 17:57

manager   ~66481

PR for master: https://github.com/LimeSurvey/LimeSurvey/pull/2037
gabrieljenik

gabrieljenik

2021-09-15 12:24

manager   ~66490

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32713
c_schmitz

c_schmitz

2021-09-21 09:45

administrator   ~66559

New version released

Related Changesets

LimeSurvey: 3.x-LTS 0c8a4ccc

2021-09-08 12:53:04

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17454: Unable to remove a user with survey permissions with friendly url enabled (#2027) Affected Issues
17454
mod - application/controllers/admin/surveypermission.php Diff File

LimeSurvey: master 58bd049b

2021-09-15 12:24:08

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17454: Unable to remove a user with survey permissions with friendly url enabled (#2037)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17454
mod - application/controllers/admin/surveypermission.php Diff File

Issue History

Date Modified Username Field Change
2021-07-16 15:59 alorenc New Issue
2021-07-16 16:06 DenisChenu Note Added: 65479
2021-07-16 16:14 DenisChenu Note Added: 65481
2021-07-16 16:15 DenisChenu Note Added: 65482
2021-07-19 08:26 alorenc Note Added: 65498
2021-07-19 08:26 galads Assigned To => galads
2021-07-19 08:26 galads Status new => testing
2021-07-19 08:28 alorenc Note Added: 65499
2021-07-19 08:32 DenisChenu Note Added: 65500
2021-07-22 12:50 galads Status testing => confirmed
2021-08-30 13:43 galads Priority none => normal
2021-08-30 13:43 galads Sync to Zoho Project => |Yes|
2021-08-30 13:57 galads Sync to Zoho Project Yes =>
2021-08-30 13:57 galads Sync to Zoho Project => |Yes|
2021-08-30 14:22 galads Sync to Zoho Project Yes =>
2021-08-30 14:22 galads Sync to Zoho Project => |Yes|
2021-08-30 14:40 c_schmitz Sync to Zoho Project Yes =>
2021-08-30 14:40 c_schmitz Sync to Zoho Project => |Yes|
2021-09-01 14:36 gabrieljenik Bug heat 4 => 6
2021-09-01 20:56 gabrieljenik Note Added: 66273
2021-09-02 08:23 galads Note Added: 66274
2021-09-02 08:23 galads Bug heat 6 => 8
2021-09-08 12:18 2BITS_PL Note Added: 66400
2021-09-08 12:18 2BITS_PL Bug heat 8 => 10
2021-09-08 12:19 2BITS_PL Issue Monitored: 2BITS_PL
2021-09-08 12:19 2BITS_PL Bug heat 10 => 12
2021-09-08 12:19 2BITS_PL Issue End Monitor: 2BITS_PL
2021-09-08 12:19 2BITS_PL Bug heat 12 => 10
2021-09-08 12:21 2BITS_PL Issue Monitored: 2BITS_PL
2021-09-08 12:21 2BITS_PL Bug heat 10 => 12
2021-09-08 12:53 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 0c8a4ccc
2021-09-08 12:53 gabrieljenik Note Added: 66403
2021-09-08 12:53 gabrieljenik Assigned To galads => gabrieljenik
2021-09-08 12:53 gabrieljenik Resolution open => fixed
2021-09-08 12:53 c_schmitz Status confirmed => resolved
2021-09-14 17:57 gabrieljenik Note Added: 66481
2021-09-15 12:24 gabrieljenik Changeset attached => LimeSurvey master 58bd049b
2021-09-15 12:24 gabrieljenik Note Added: 66490
2021-09-21 09:45 c_schmitz Note Added: 66559
2021-09-21 09:45 c_schmitz Bug heat 12 => 14
2021-09-21 09:45 c_schmitz Status resolved => closed